import { world} from "@minecraft/server"






world.afterEvents.entitySpawn.subscribe((entityEvent) => {
    const entity=entityEvent.entity
   
    if (entity.typeId == "edx:blazeblade_fire_charge" ) {
        entity.applyImpulse({ x:entity.getViewDirection().x/2 , y: entity.getViewDirection().y/2, z: entity.getViewDirection().z/2 })
    }
    else if (entity.typeId == "minecraft:wither" ) {
        const night_time = world.getTimeOfDay() > 12000 && world.getTimeOfDay() < 24000;
        if(!night_time && entity.dimension.id == "minecraft:overworld") 
        {
            entity.runCommand(`tellraw @a[r=20] {"rawtext":[{"text":"§cYou can't summon the Wither on day"}]}`)
            entity.runCommand(`give @p[r=30] skull 3 1`)
            entity.runCommand(`give @p[r=30] soul_sand 4`)
            entity.remove()
        }
        else if (entity.dimension.id == "minecraft:overworld" || entity.dimension.id == "minecraft:the_end")
        {
            
            entity.dimension.spawnEntity("edx:wither",entity.location);
            entity.remove()
        }
    }
    }

);